#include <bits/stdc++.h>

using namespace std;

long long x,n,maxi,mini,a,sum,l,d;
long long i;

int main() {
    
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    
    cin>>n>>x;
    
    maxi=-1000000000;
    mini=1000000000;
    sum=0;
    l=0;
    d=0;
    
    
    for(i=0;i<n;i++)
    {
        cin>>a;
        if(a>maxi)
            maxi=a;
        if(a<mini)
            mini=a;
    }
    
    if(mini>=x)
        sum=abs(maxi-x);
    else
        if(maxi<=x)
            sum=abs(x-mini);
        else
            {
                l=abs(x-mini);
                d=abs(maxi-x);
                if(l>d)
                    sum=2*d+l;
                else
                    sum=2*l+d;
            }
    
    cout<<sum;
    
    
    
    return 0;
}